Name:          php-jumbojett-openid-connect-php
Summary:       Bare-bones OpenID Connect client
Version:       0.9.10
Release:       1%{?dist}
License:       Apache-2.0
URL:           https://github.com/jumbojett/OpenID-Connect-PHP
Source0:       %{url}/archive/v%{version}/OpenID-Connect-PHP-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: php(language) >= 5.4
BuildRequires: php-fedora-autoloader-devel
# Tests
%if 0%{?fedora}
BuildRequires: phpunit9
BuildRequires: php-yoast-phpunit-polyfills
BuildRequires: php-phpseclib
%endif
Requires:      php(language) >= 5.4
Requires:      php-json
Requires:      php-curl
Requires:      php-phpseclib

Provides:      php-composer(jumbojett/openid-connect-php) = %{version}


%description
A simple library that allows an application to authenticate a user through the
basic OpenID Connect flow. This library hopes to encourage OpenID Connect use
by making it simple enough for a developer with little knowledge of the OpenID
Connect protocol to set up authentication.


%prep
%setup -q -n OpenID-Connect-PHP-%{version}


%build
# Nothing to build


%install
# Generate autoloader
phpab --template fedora --output autoload.php src composer.json
# Install
install -d -m 0755 %{buildroot}%{_datadir}/php/jumbojett/openid-connect-php/
install -p -m 0644 \
  src/OpenIDConnectClient.php \
  autoload.php \
  %{buildroot}%{_datadir}/php/jumbojett/openid-connect-php/


%check
%if 0%{?fedora}
mkdir -p vendor
cat > vendor/autoload.php << EOF
<?php
require_once "/usr/share/php/Yoast/PHPUnitPolyfills/autoload.php";
require_once "/usr/share/php/phpseclib/autoload.php";
require_once "autoload.php";
?>
EOF
phpunit9 \
  --verbose \
  --do-not-cache-result \
  --testdox \
  tests 
%endif


%files
%license LICENSE
%doc CHANGELOG.md README.md client_example.php composer.json
%{_datadir}/php/jumbojett/openid-connect-php/autoload.php
%{_datadir}/php/jumbojett/openid-connect-php/OpenIDConnectClient.php


%changelog
* Thu Jan 18 2024 Xavier Bachelot <xavier@bachelot.org> - 0.9.10-1
- Initial package
